{{ define "main" }}

{{ $data := index .Site.Data .Site.Language.Lang }}

<!-- <div id="youtubeContainer"></div> -->


<!-- =============================
      Start Header
    =============================== -->
<section class="header" id="home">
  <!--<div class="logo">
    <img class="img-fluid" src="{{ .Site.Params.logo_light | relURL }}" alt="{{ .Site.Title }}">
  </div> -->

  {{ with $data.homepage.hero }}
  <div class="owl-carousel owl-full-width owl-theme" id="background-slide">
    {{ range .slider_image }}
    <div class="slider"><img class="img-fluid" src="{{ . | absURL }}" alt="slider-background"></div>
    {{ end }}
  </div>
  <div class="container">
    <div class="row content">
      <div class="col-lg-8 col-lg-offset-2 col-sm-8 col-sm-offset-2 head-container">
        <div class="head-holder">
          <h1 class="introduction">{{ .title | markdownify | emojify }}</h1>
          <div class="animated-text">
            <strong class="cd-headline clip">
              <span class="cd-words-wrapper">
                {{ range $index, $elements:= .occupations }}
                <b {{ if eq $index 0 }} class="is-visible" {{ end }}>{{ . }}</b>
                {{ end }}
              </span>
            </strong>
          </div>
          {{ if .button.enable }}
          {{ with .button }}
          <a class="hireMe" href="{{ .link }}">{{ .label }}</a>
          {{ end }}
          {{ end }}
        </div>
      </div>
    </div>
  </div>
  {{ end }}

  {{ if $data.homepage.fullscreen_nav.enable }}
  <div class="navigation-icon">
    <input id="burger" type="checkbox" />
    <label for="burger" class="burger-menu">
      <span></span>
      <span></span>
      <span></span>
    </label>
  </div>
  <div class="fullscreen-nav-container"
    style="background-image: url('{{ $data.homepage.fullscreen_nav.bg_image | absURL }}');">
    <div class="container-fluid">
      <div class="full-nav-container row">
        <div class="full-nav-holder">
          <div class="full-nav-content">
            <div class="name">
              {{ with $data.homepage.fullscreen_nav.first_name }}<div class="first-name">{{ . }}</div>{{ end }}
              {{ with $data.homepage.fullscreen_nav.last_name }}<div class="last-name">{{ . }}</div>{{ end }}
            </div>
            <div class="fulscreen-nav">
              <ul class="list-inline fullscreen-nav-holder">
                {{ range .Site.Menus.main }}
                <li><a class="text-uppercase" href="{{ .URL }}">{{ .Name }}</a></li>
                {{ end }}
              </ul>
            </div>
            <div class="full-nav-icon-holder">
              <ul class="full-nav-icons list-inline">
                {{ range .Site.Params.social }}
                <li><a href="{{ .link | safeURL }}"><i class="fa {{ .icon }}"></i></a></li>
                {{ end }}
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
{{ end }}
<!-- =============================
       End Header
    =============================== -->

<!-- =============================
      Start Menu
    =============================== -->
<section class="menu" id="menu">
  <nav>
    <!-- desktop-menu -->
    <div class="menu-container">
      <ul class="desktop-menu list-inline mb-0" id="desktop-menu">
        {{ range .Site.Menus.main }}
        <li class="menu-item hvr-underline-from-left 1"><a href="{{ .URL }}">{{ .Name }}</a></li>
        {{ end }}
      </ul>
      <!-- Language List -->
      {{- if .Site.IsMultiLingual }}
      <select id="select-language" onchange="location = this.value;">
        {{ $siteLanguages := .Site.Languages}}
        {{ $pageLang := .Page.Lang}}
        {{ range .Page.AllTranslations }}
        {{ $translation := .}}
        {{ range $siteLanguages }}
        {{ if eq $translation.Lang .Lang }}
        {{ $selected := false }}
        {{ if eq $pageLang .Lang}}
        <option id="{{ $translation.Language }}" value="{{ $translation.Permalink }}" selected>{{ .LanguageName }}
        </option>
        {{ else }}
        <option id="{{ $translation.Language }}" value="{{ $translation.Permalink }}">{{ .LanguageName }}</option>
        {{ end }}
        {{ end }}
        {{ end }}
        {{ end }}
      </select>
      {{ end }}
      <!-- /desktop-menu -->

      <!-- mobile-menu -->
      <div class="mobile-menu">
        <a class="menu-link">
          <div class="mobile-menu-nav">
            <span></span>
            <span></span>
            <span></span>
          </div>
        </a>
        <div class="mobile-menu-logo"><a href="{{.Site.BaseURL | relLangURL }}"><img class="img-fluid"
              src="{{ .Site.Params.logo_dark | absURL }}" alt="{{ .Site.Title }}"></a>
        </div>
        <div class="menu-slider">
          <nav>
            <ul class="mobile-menu-list">
              {{ range .Site.Menus.main }}
              <li class="hvr-shutter-out-vertical mobile-menu-item 1"><a href="{{ .URL }}">{{ .Name }}</a></li>
              {{ end }}
            </ul>
            <!-- Language List -->
            {{- if .Site.IsMultiLingual }}
            <select class="ml-4" id="select-language" onchange="location = this.value;">
              {{ $siteLanguages := .Site.Languages}}
              {{ $pageLang := .Page.Lang}}
              {{ range .Page.AllTranslations }}
              {{ $translation := .}}
              {{ range $siteLanguages }}
              {{ if eq $translation.Lang .Lang }}
              {{ $selected := false }}
              {{ if eq $pageLang .Lang}}
              <option id="{{ $translation.Language }}" value="{{ $translation.Permalink }}" selected>{{ .LanguageName }}
              </option>
              {{ else }}
              <option id="{{ $translation.Language }}" value="{{ $translation.Permalink }}">{{ .LanguageName }}</option>
              {{ end }}
              {{ end }}
              {{ end }}
              {{ end }}
            </select>
            {{ end }}
            <ul class="mobile-menu-icons list-inline">
              {{ range .Site.Params.social }}
              <li><a href="{{ .link | safeURL }}"><i class="fa {{ .icon }}"></i></a></li>
              {{ end }}
            </ul>
          </nav>
        </div>
      </div>
    </div>
  </nav>
</section>
<!-- =============================
      End Menu
    =============================== -->
    
{{ if $data.homepage.channel.enable }}
{{ with $data.homepage.channel }}
    <!-- {{ .Content }} -->
  <section class="services" id=channel>
    <div class="container">
      <div class="row">
        <div class="col-lg-8 mx-auto col-sm-10">
          <h2 class="section-title">{{ .Site.Data.channel.conf.title }}</h2>
          

          {{ .Site.Data.channel.conf.description | markdownify }}
        </div>
        <div class="col-md-4 text-center drag-lg-top">
          <div class="shadow-down mb-4">
            <div id="youtubeContainer" class="g-ytsubscribe" data-channelid="{{ .Site.Data.channel.conf.channelid }}" data-layout="full" data-count="hidden"></div>

          </div>
        </div>
      </div>
    </div>
  </section>

  <div id="youtubeContainer"></div>

{{ end }}
{{ end }}

{{ end }}